<img src="docs/images/logo-lightbackground.png" width="600" />

[![Build Status](https://travis-ci.org/MarkBind/markbind.svg?branch=master)](https://travis-ci.org/MarkBind/markbind)

**A tool for generating content-intensive websites from markdown-like syntax**

To go to the MarkBind website, click [here](https://markbind.github.io/markbind/).

## Installation
```
npm i -g markbind-cli
```

## Usage
```
  Usage: markbind  <command>


  Options:

    -V, --version  output the version number
    -h, --help     output usage information


  Commands:

    include [options] <file>         process all the fragment include in the given file
    render [options] <file>          render the given file
    init [root]                      init a markbind website project
    serve [options] [root]           build then serve a website from a directory
    deploy                           deploy the site to the repo's Github pages.
    build [options] [root] [output]  build a website

```

## Documentation
Refer to the [Wiki](https://github.com/MarkBind/markbind-cli/wiki) page.
You may want to learn about how to [create and build a site with MarkBind](https://markbind.github.io/markbind/userGuide/developingASite.html).
